Vorbisfile documentation | libVorbisfile version 1.65 - 20020702

# ov_test_open

declared in "vorbis/vorbisfile.h";

Finish opening a file partially opened with ov_test() or ov_test_callbacks().

    int ov_test_open(OggVorbis_File *vf);

### Parameters

vf
  A pointer to the OggVorbis_File structure--this is used for ALL the externally visible libvorbisfile functions. Once this has been called, the same `OggVorbis_File` struct should be passed to all the libvorbisfile functions.

### Return Values

> - 0 for success
> - less than zero for failure:
> - OV_EREAD - A read from media returned an error.
> - OV_ENOTVORBIS - Bitstream is not Vorbis data.
> - OV_EVERSION - Vorbis version mismatch.
> - OV_EBADHEADER - Invalid Vorbis bitstream header.
> - OV_EFAULT - Internal logic fault; indicates a bug or heap/stack corruption.

copyright © 2002 Xiph.org | Ogg Vorbis
Vorbisfile documentation | libVorbisfile version 1.65 - 20020702